Subject: Re: VLAN subinterfaces, bridges and udev

From: Ben Greear <[email-masked]>
Date: Mon, 01 May 2006 09:02:04 -0700

Marco d'Itri wrote:
> [Please Cc me, I am not subscribed to netdev.]
> 
> Can I rely on the presence of the $DEVPATH/driver symlink (e.g.
> /sys/class/net/eth0/driver) to check if a network interface is a "real"
> device insteaf of a VLAN or a bridge?

To distinguish I use a VLAN specific IOCTL (GET_VLAN_REALDEV_NAME_CMD).
If that IOCTL has no error, then it is a VLAN.

I don't know if there is a similar trick for bridges.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com